package main

import "sipro-mps/pkg/utils"

// package main
//
// import (
//
//	"context"
//	"fmt"
//	"sipro-mps/internal/wb/products/mapping/generated"
//	"strings"
//
//	pb "sipro-mps/api/generated/v1/wb/products"
//	"sipro-mps/pkg/api/wb/client"
//
//	"github.com/deliveryhero/pipeline/v2"
//
// )
//
// func main() {
//
//		input := "1,2,3,4,5"
//
//		for out := range pipeline.Process(context.Background(), apply, pipeline.Emit(input)) {
//			for j := range out {
//				fmt.Printf("process: %s\n", out[j])
//			}
//		}
//	}
func main() {
	arr := []string{"1", "2", "3", "4", "5"}

	hash, err := utils.HashArray(arr)

	if err != nil {
		panic(err)
	}
	println("Hash of array:", hash)
}
